cURL
curl --request GET \ --url https://api.factory.ai/api/v0/computers \ --header 'Authorization: Bearer <token>'
{ "computers": [ { "id": "<string>", "name": "<string>", "providerType": "byom", "createdAt": 123, "hostname": "<string>", "status": "provisioning", "provisioningSteps": [ { "id": "create-computer", "name": "<string>", "status": "pending", "error": "<string>", "startedAt": 123, "completedAt": 123 } ], "relayClientUrl": "<string>", "relayAgentUrl": "<string>", "remoteUser": "<string>" } ] }
Returns all persistent computer environments for the authenticated organization.
Documentation IndexFetch the complete documentation index at: https://docs.factory.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.factory.ai/llms.txt
Use this file to discover all available pages before exploring further.
Factory API key or JWT token for authentication
Response for status 200
Show child attributes